
function getProyectosCliente(){
    var idcliente =$('#listaCliente').val();
    var idcliente_text = $("#listaCliente option:selected").text();

    $('#listaProyectos option').remove();
    $('#listaTiposProveedor option').remove();
    $('#presupuestoE').val("");
    $('#inputPorcentajeE').val("");
    $('#tablaEgresosPresupuestados tbody').empty();
    document.getElementById('inputPorcentajeE').style.removeProperty('border');

    $('#listaProyectos')
                .append($("<option></option>")
                .attr("value","")
                .text("Seleccione proyecto"));    

    $("#listaTiposProveedor")
            .append($("<option></option>")
            .attr("value","")
            .text("Seleccione tipo de proveedor"));

    $("#listaProyectos").prop('disabled', true);
    $("#listaTiposProveedor").prop('disabled', true);

                                        
    if(idcliente != ""){
        $.get("./cu/egresosProyectados_cu.php", {op:44,cliente:idcliente}, function(respuesta){
            
             

            var registros =  respuesta.split('-');
            
            if(registros != ""){
                for (var i = 0; registros.length > i; i++){
                    var valores =  registros[i].split('*');
                
                    if(valores!=""){
                        $('#listaProyectos')
                            .append($("<option></option>")
                            .attr("value",valores[0])
                            .text(valores[1])); 
                    }
                }
            
                $("#listaProyectos").prop('disabled', false);
            
            }else{ 
                $("#listaProyectos").prop('disabled', true);
                alert("No hay proyectos para este cliente.");}
            });
        
    }else{
        $("#listaProyectos").prop('disabled', true);
        $("#listaTiposProveedor").prop('disabled', true);

    }
}


function getCCProyecto(){
    var idproyecto =$('#listaProyectos').val();
    var idproyecto_text = $("#listaProyectos option:selected").text();

    $('#listaTiposProveedor option').remove();
    $("#listaTiposProveedor")
                    .append($("<option></option>")
                    .attr("value","")
                    .text("Seleccione tipo de proveedor"));
    $("#listaTiposProveedor").prop('disabled', true);
    $('#presupuestoE').val("");
    $('#inputPorcentajeE').val("");
    $('#tablaEgresosPresupuestados tbody').empty();
    document.getElementById('inputPorcentajeE').style.removeProperty('border');

    if(idproyecto != ""){
        $.get("./cu/egresosProyectados_cu.php", {op:69,id_proyecto:idproyecto}, function(respuesta){
            
            if(respuesta != ""){
                $("#textoCC").val(respuesta);
            }else{
                $("#textoCC").val("Sin centro de negocios.");
            }
            
        });


        $.get("./cu/egresosProyectados_cu.php", {op:59,id_proyectos:idproyecto}, function(respuesta){
            var presupuestos =  respuesta.split('*');

            if(presupuestos != ""){
getDirectoFijo();
                $.get("./cu/egresosProyectados_cu.php", {op:70,idproyecto:idproyecto}, function(respuesta){
                    var registros = respuesta.split("_");

                    for(var i=0; i<registros.length-1; i++){
                        var valores = registros[i].split("*");

                        $("#listaTiposProveedor")
                            .append($("<option></option>")
                            .attr("value",valores[0])
                            .text(valores[1]))
                            .onchange;
                    }

                });

                $("#listaTiposProveedor").prop('disabled', false);

            }else{
                alert("Se requiere un presupuesto para continuar.");
            }
        });
    
    }else{
        
    }
            
}

function getInfoTipo(){
    var idproyecto =$('#listaProyectos').val();
    var idtipoProveedor =$('#listaTiposProveedor').val();

    $('#presupuestoE').val("");
    $('#inputPorcentajeE').val("");
    $('#tablaEgresosPresupuestados tbody').empty();
    document.getElementById('inputPorcentajeE').style.removeProperty('border');

   
    if(idtipoProveedor != ""){



        $.get("./cu/egresosProyectados_cu.php", {op:71,idp:idtipoProveedor,idproyecto:idproyecto}, function(respuesta){
            var registros = respuesta.split("_");
            var fechasIniciales = [];
            var fechasFinales = [];
            var montoTotal = 0;          
            
            for(var i=0; i<registros.length-1; i++){
                var valores = registros[i].split("*");
                montoTotal += parseFloat(valores[3]);

                if(valores[3]!="0"){
                    fechasIniciales[i] = valores[1];
                    fechasFinales[i] = valores[2];    
                }
                
            }

            $('#presupuestoE').val(montoTotal.toFixed(2));

            var iniciales = fechasIniciales.sort(ordernarFechasAsc);
            var finales = fechasFinales.sort(ordernarFechasDesc);

            $('#fechainicialE').val(iniciales[0]);
            $('#fechafinalE').val(finales[0]);

            setPeriodos(iniciales[0],finales[0]);

            $.get("./cu/egresosProyectados_cu.php", {op:72,id_tipo:idtipoProveedor,id_proyectos:idproyecto}, function(respuesta){           
                var info = respuesta.split("¿");
                var filas = info[4].split('_');

                if(info != ""){                        
                    setPeriodosGuardados(iniciales[0],finales[0],filas,montoTotal);
                }

            });




        });


    
    }else{

    }

}

function ordernarFechasAsc(fecha1,fecha2){
    if(fecha1<fecha2)
        return -1;
    else if(fecha1==fecha2)
        return 0;
    else
        return 1;
}

function ordernarFechasDesc(fecha1,fecha2){
    if(fecha1<fecha2)
        return 1;
    else if(fecha1==fecha2)
        return 0;
    else
        return -1;
}


function setPeriodos(fechaInicial,fechaFinal){
    var meses = ['Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'];

    var fecha1 = moment(fechaInicial);
    var fecha2 = moment(fechaFinal);
    var periodos = fecha2.diff(fecha1, 'months') + 1;

    $('#tablaEgresosPresupuestados tbody').empty();

    if(periodos <= 0){
        alert("Fecha Inicial debe ser menor a Fecha Final");
        return 0;
    }
        
    var ano1 = fecha1.year();
    var mes1 = fecha1.month();
    
    for(var i = 0; i < periodos; i ++){
        if(mes1 == 12){
            mes1 = 0;
            ano1 ++;
        }
            
        $('#tablaEgresosPresupuestados tbody').append("" +
            "<tr style='text-align:center;'>" +
            "<td style='text-align:center;' id='ano"+i+"'>" + ano1 + "</td>" +
            "<td style='text-align:center;' id='mes"+i+"'>" + meses[mes1] + "</td>" +
            "<td style='text-align:center;'>$<input type='number' style='text-align:center;' value=0 id='monto"+i+"' readonly='readonly' disabled></td>" +
            "<td style='text-align:center;'><input type='number' style='text-align:center;' value=0 min='0' max='100' id='porc"+i+"' onchange='setMontosPorcentajes();'>%</td>" +
            "</tr>");
            mes1 ++;
    }

    $("#inputPorcentajeE").val(0);

    return periodos;
}


function setPeriodosGuardados(fechaInicial,fechaFinal,datos,monto){
    var meses = ['Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'];

    var fecha1 = moment(fechaInicial);
    var fecha2 = moment(fechaFinal);
    var periodos = fecha2.diff(fecha1, 'months') + 1;

    $('#tablaEgresosPresupuestados tbody').empty();

    if(periodos <= 0){
        alert("Fecha Inicial debe ser menor a Fecha Final");
        return 0;
    }
        
    var ano1 = fecha1.year();
    var mes1 = fecha1.month();
    
    var total_porcentaje = 0;
    
    for(var i = 0; i < periodos; i ++){
        if(mes1 == 12){
            mes1 = 0;
            ano1 ++;
        }
        
        var porcentaje = 0;
        if(i < datos.length-1){
            var elemento = datos[i].split("*");
            porcentaje = parseInt(elemento[1]);
        }
        
        var monto_dividido = parseInt(monto) * porcentaje / 100;
        
        total_porcentaje+=porcentaje;
            
        $('#tablaEgresosPresupuestados tbody').append("" +
            "<tr>" +
            "<td style='text-align:center;' id='ano"+i+"'>" + ano1 + "</td>" +
            "<td style='text-align:center;' id='mes"+i+"'>" + meses[mes1] + "</td>" +
            "<td style='text-align:center;'>$<input type='number' style='text-align:center;' value="+ monto_dividido +" id='monto"+i+"' readonly='readonly' disabled></td>" +
            "<td style='text-align:center;'><input type='number' style='text-align:center;' value="+ porcentaje +" min='0' max='100' id='porc"+i+"' onchange='setMontosPorcentajes();'>%</td>" +
            "</tr>");
            mes1 ++;
    }

    $("#inputPorcentajeE").val(total_porcentaje);
    
    return periodos;
}



function setMontosPorcentajes(){
    var montoTotal = parseInt($('#presupuestoE').val());
    var periodos = $('#tablaEgresosPresupuestados tr').length - 1;
    var porcentajeTotal = 0;
    
    for(var i=0; i < periodos; i++){
        var porcentaje = parseInt($('#porc'+ i +'').val());
        var valor = porcentaje * montoTotal / 100;
        $('#monto'+ i +'').val(valor);  
        porcentajeTotal+=porcentaje;
    }

    if(porcentajeTotal > 100){
        alert("Has excedido el 100% de ingresos.");
        $("#botonAgregarEgreso").prop('disabled', true);
        document.getElementById('inputPorcentajeE').style.borderColor='#FF0000';        
    }else{
        $("#botonAgregarEgreso").prop('disabled', false);
        document.getElementById('inputPorcentajeE').style.borderColor='#1CC425';
    }
    
    $('#inputPorcentajeE').val(porcentajeTotal);
}


function guardarEgresos(){
    var idcliente =$('#listaCliente').val();
    var idproyecto =$('#listaProyectos').val();
    var idtipoProveedor =$('#listaTiposProveedor').val();
    var total_proyectado = parseInt($('#presupuestoE').val());
    var porcentaje_ocupado = parseInt($('#inputPorcentajeE').val());
    var periodos = $('#tablaEgresosPresupuestados tr').length - 1;
    
    if(idcliente == ""){
        alert("Número de cliente inválido.");
        return;
    }
    
    if(idproyecto == ""){
        alert("Número de proyecto inválido.");
        return;
    }

    if(idtipoProveedor == ""){
        alert("Número de tipo de proveedor inválido.");
        return;
    }
    
    if(total_proyectado == null){
        alert("Verifique el total proyectado.");
        return;
    }
    
    if(porcentaje_ocupado == null){
        alert("Verifique el total proyectado.");
        return;
    }
    
    if(periodos == null){
        alert("Verifique las fechas en el presupuesto.");
        return;
    }
        
    
    var cadena = '';
    for(var i=0; i < periodos; i++){
        var anio = $('#ano'+ i +'').text();
        var mes = getNumeroMes($('#mes'+ i +'').text());
        var porcentaje = parseInt($('#porc'+ i +'').val());
        cadena += anio +"-"+mes+"*"+porcentaje+"_";
    }
    
    var sArray = ["",
    idcliente,
    idproyecto,
    idtipoProveedor,
    total_proyectado,
    porcentaje_ocupado,
    periodos,
    cadena];

    $.get("./cu/egresosProyectados_cu.php", {op:72,id_tipo:idtipoProveedor,id_proyectos:idproyecto}, function(respuesta){
        var valores = respuesta.split('*');

        if(valores == ""){
            $.get("./cu/egresosProyectados_cu.php", {op:74,tabla:'egresos_presupuestados', sArray:sArray}, function(respuesta){
                if(respuesta == 1)
                    alert("Se ha agregado el registro exitosamente.");
        });
        }else{
            $.get("./cu/egresosProyectados_cu.php", {op:73,idegreso:valores[0],sArray:sArray}, function(respuesta){
                if(respuesta == 1)
                    alert("Los cambios se han guardado exitosamente.");
            });
        }    
    });

}



function getNumeroMes(mesLetra){
    var numeroMes = 1;
    switch(mesLetra){
        case 'Enero': numeroMes='01'; break;
        case 'Febrero': numeroMes='02'; break;
        case 'Marzo': numeroMes='03'; break;
        case 'Abril': numeroMes='04'; break;
        case 'Mayo': numeroMes='05'; break;
        case 'Junio': numeroMes='06'; break;
        case 'Julio': numeroMes='07'; break;
        case 'Agosto': numeroMes='08'; break;
        case 'Septiembre': numeroMes='09'; break;
        case 'Octubre': numeroMes=10; break;
        case 'Noviembre': numeroMes=11; break;
        case 'Diciembre': numeroMes=12; break;
    }
    return numeroMes;
}



//=====================================================================================
function getDirectoFijo(){
    var idproyecto =$('#listaProyectos').val();

    $.get("./cu/egresosProyectados_cu.php", {op:75,idproyecto:idproyecto}, function(respuesta){
        var registro = respuesta.split('_');
        var fechasIniciales = [];
        var fechasFinales = [];
        var fechasPrimeras = [];
        var fechasUltimas = [];
        var montos = [];

        for(var i=0; i < registro.length-1; i++){
            var valores = registro[i].split("*");
                    
            fechasIniciales[i] = valores[2];
            fechasFinales[i] = valores[3];
            fechasPrimeras[i] = valores[2];
            fechasUltimas[i] = valores[3]
            montos[i] = valores[4];
        }
        setPeriodosFijo(fechasPrimeras,fechasUltimas,fechasIniciales,fechasFinales,montos);
        
    });    
}


function setPeriodosFijo(fechasPrimeras,fechasUltimas,fechasIniciales,fechasFinales,montos){
    var meses_letra = ['Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'];
    
    var iniciales = fechasIniciales.sort(ordernarFechasAsc);
    var finales = fechasFinales.sort(ordernarFechasDesc);
    fechaInicial = iniciales[0];
    fechaFinal = finales[0];
        
    var fecha1 = moment(fechaInicial);
    var fecha2 = moment(fechaFinal);
    var periodos = fecha2.diff(fecha1, 'months') + 1;
    
    $('#tablaDirectoFijo tbody').empty();

    if(periodos <= 0){
        alert("Fecha Inicial debe ser menor a Fecha Final");
        return 0;
    }
    
    var ano1 = fecha1.year();
    var mes1 = fecha1.month();
    
    var meses = [];
    var anos = [];
    var montosMensuales = [];

    for(var i = 0; i < periodos; i ++){
        if(mes1 == 12){
            mes1 = 0;
            ano1 ++;
        }
            
        anos[i] = ano1;
        meses[i] = mes1;
        montosMensuales[i] = 0;
               
        mes1 ++;
    }
    
    
    for(var i = 0; i < fechasPrimeras.length; i ++){     

        var f1 = moment(fechasPrimeras[i]);

        var f2 = moment(fechasUltimas[i]);    

        var divisiones = f2.diff(f1, 'months') + 1;
        
        var monto_mensual = (parseFloat(montos[i]) / parseFloat(divisiones)).toFixed(2);
    
        var a1 = f1.year();
        var m1 = f1.month();
        var index = 0;
        
        for(var j = 0; j < periodos; j++){
            if(anos[j] == a1 && meses[j] == m1){
                index = j;
            }
        }
    
        
      for(var j = 0; j < divisiones; j++){
          montosMensuales[j + index] = parseFloat(montosMensuales[j + index]) + parseFloat(monto_mensual);
      }
    
    }
    
    for(var i = 0; i < periodos; i ++){
       $('#tablaDirectoFijo tbody').append("" +
            "<tr style='text-align:center;'>" +
            "<td style='text-align:center;' id='ano"+i+"'>" + anos[i] + "</td>" +
            "<td style='text-align:center;' id='mes"+i+"'>" + meses_letra[meses[i]] + "</td>" +
            "<td style='text-align:center;' id='mes"+i+"'>$" + montosMensuales[i].toFixed(2) + "</td>" +
            "</tr>");
    }
    
    return periodos;
}


//========================================================================================================================================

function getIndirectos(){
    var meses_letra = ['Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'];
    var ano_actual = moment().format("YYYY");
    var ano_anterior = parseInt(ano_actual) - 1;

    $('#tablaIndPres tbody').empty();

     $.get("./cu/egresosProyectados_cu.php", {op:76,anio:ano_actual}, function(respuesta){
         var valores_actuales = respuesta.split('_');

         if(respuesta != '' && valores_actuales.length-1 == 2){
             
             $.get("./cu/egresosProyectados_cu.php", {op:76,anio:ano_anterior}, function(respuesta2){
                var valores_anteriores = respuesta2.split('_');
                            
                var valores_act1 = valores_actuales[0].split('*');
                var valores_act2 = valores_actuales[1].split('*');
                var act_prim = [];
                var act_seg = [];
                 
                if(respuesta2 != '' && valores_anteriores.length-1 == 2){
             
                    var valores_ant1 = valores_anteriores[0].split('*');
                    var valores_ant2 = valores_anteriores[1].split('*');
                    var ant_prim = [];
                    var ant_seg = [];
                    
                    if(valores_ant1[14] == 0){
                        ant_prim = valores_anteriores[0].split('*');;
                        ant_seg = valores_anteriores[1].split('*');    
                    }else{
                        ant_prim = valores_anteriores[1].split('*');
                        ant_seg = valores_anteriores[0].split('*');
                    } 
                 
                    
                    if(valores_act1[14] == 0){
                        act_prim = valores_actuales[0].split('*');
                        act_seg = valores_actuales[1].split('*');
                                        
                        $('#inputIV').val(parseFloat(valores_act1[13]));
                        $('#inputIF').val(parseFloat(valores_act2[13]));
                    }else{
                        act_prim = valores_actuales[1].split('*');
                        act_seg = valores_actuales[0].split('*');
                    
                        $('#inputIV').val(parseFloat(valores_act2[13]));
                        $('#inputIF').val(parseFloat(valores_act1[13]));
                    } 
                 
                
                    for(var i = 0; i < 12; i++){
                        $('#tablaIndPres tbody').append("" +
                            "<tr style='text-align:center;'>" +
                            "<td style='text-align:center;'><strong>" + meses_letra[i] + "</strong></td>" +
                            "<td style='text-align:center;' id='dvant"+i+"'>" + ant_prim[i+1] + "</td>" +
                            "<td style='text-align:center;' id='dfant"+i+"'>" + ant_seg[i+1] + "</td>" +
                            "<td style='text-align:center;'>$<input type='number' style='text-align:center;' value="+ act_prim[i+1] +" id='dvact"+i+"'disabled></td>" +
                            "<td style='text-align:center;'>$<input type='number' style='text-align:center;' value="+ act_seg[i+1]+" id='dfact"+i+"'disabled></td>" +
                        "</tr>");
                    }
                
                    $('#inputIV').prop('disabled',false);
                    $('#inputIF').prop('disabled',false);
                
                }else{
                
                    if(valores_act1[14] == 0){
                        act_prim = valores_actuales[0].split('*');
                        act_seg = valores_actuales[1].split('*');
                    }else{
                        act_prim = valores_actuales[1].split('*');
                        act_seg = valores_actuales[0].split('*');
                    } 
                
                    for(var i = 0; i < 12; i++){
                        $('#tablaIndPres tbody').append("" +
                            "<tr style='text-align:center;'>" +
                                "<td style='text-align:center;'><strong>" + meses_letra[i] + "</strong></td>" +
                                "<td style='text-align:center;'> Sin registro </td>" +
                                "<td style='text-align:center;'> Sin registro </td>" +
                                "<td style='text-align:center;'>$<input type='number' style='text-align:center;' value="+ act_prim[i+1] +" id='dvact"+i+"'></td>" +
                            "<td style='text-align:center;'>$<input type='number' style='text-align:center;' value="+ act_seg[i+1]+" id='dfact"+i+"'></td>" +
                            "</tr>");
                        }
             
                        $('#inputIV').val(parseFloat(1));
                        $('#inputIV').prop('disabled',true);
                        $('#inputIF').val(parseFloat(1));
                        $('#inputIF').prop('disabled',true);
                        $('#botonGuardarIndirectos').prop('disabled',false);
                    }
             
             });           
             
             
         }else{
             $.get("./cu/egresosProyectados_cu.php", {op:76,anio:ano_anterior}, function(respuesta2){
                 var valores_anteriores = respuesta2.split('_');

                 if(respuesta2 != '' && valores_anteriores.length-1 == 2){
                     var valores_ant1 = valores_anteriores[0].split('*');
                     var valores_ant2 = valores_anteriores[1].split('*');
                     
                     if(valores_ant1[14] == 0){
                         for(var i = 0; i < 12; i++){
                            $('#tablaIndPres tbody').append("" +
                                "<tr style='text-align:center;'>" +
                                "<td style='text-align:center;'><strong>" + meses_letra[i] + "</strong></td>" +
                                "<td style='text-align:center;' id='dvant"+i+"'>" + valores_ant1[i+1] + "</td>" +
                                "<td style='text-align:center;' id='dfant"+i+"'>" + valores_ant2[i+1] + "</td>" +
                                "<td style='text-align:center;'>$<input type='number' style='text-align:center;' value=0 id='dvact"+i+"'disabled></td>" +
                                "<td style='text-align:center;'>$<input type='number' style='text-align:center;' value=0 id='dfact"+i+"'disabled></td>" +
                            "</tr>");
                         }
                            $('#inputIV').val(parseFloat(valores_ant1[13]));
                            $('#inputIV').prop('disabled',false);
                            $('#inputIF').val(parseFloat(valores_ant2[13]));
                            $('#inputIF').prop('disabled',false);
                             
                     }else{
                         for(var i = 0; i < 12; i++){
                            $('#tablaIndPres tbody').append("" +
                                "<tr style='text-align:center;'>" +
                                "<td style='text-align:center;'><strong>" + meses_letra[i] + "</strong></td>" +
                                "<td style='text-align:center;' id='dvant"+i+"'>" + valores_ant2[i+1] + "</td>" +
                                "<td style='text-align:center;' id='dfant"+i+"'>" + valores_ant1[i+1] + "</td>" +
                                "<td style='text-align:center;'>$<input type='number' style='text-align:center;' value=0 id='dvact"+i+"'disabled></td>" +
                                "<td style='text-align:center;'>$<input type='number' style='text-align:center;' value=0 id='dfact"+i+"'disabled></td>" +
                            "</tr>");
                        
                          }
                        $('#inputIV').val(parseFloat(valores_ant2[13]));
                        $('#inputIV').prop('disabled',false);
                        $('#inputIF').val(parseFloat(valores_ant1[13]));
                        $('#inputIF').prop('disabled',false);
                     }
                     
                     
                     alert("Modificar los factores inferiores para ajustar los indirectos de este año.");     
                     
                 }else{
                    for(var i = 0; i < 12; i++){
                    $('#tablaIndPres tbody').append("" +
                        "<tr style='text-align:center;'>" +
                            "<td style='text-align:center;'><strong>" + meses_letra[i] + "</strong></td>" +
                            "<td style='text-align:center;'> Sin registro </td>" +
                            "<td style='text-align:center;'> Sin registro </td>" +
                            "<td style='text-align:center;'>$<input type='number' style='text-align:center;' value=0 id='dvact"+i+"'></td>" +
                            "<td style='text-align:center;'>$<input type='number' style='text-align:center;' value=0 id='dfact"+i+"'></td>" +
                        "</tr>");
                    }
             
                    $('#inputIV').val(parseFloat(1));
                    $('#inputIV').prop('disabled',true);
                    $('#inputIF').val(parseFloat(1));
                    $('#inputIF').prop('disabled',true);
                    $('#botonGuardarIndirectos').prop('disabled',false);

                     
                    alert("No se ha encontrado registro de Indirectos. Llena la tabla y pulsa en Guardar.");     
                 }
             });

         }
     });
         
}


function setIV(){
    for(var i = 0; i < 12; i ++){
        var valorActual = $("#dvant"+i).text();
        var factor_variable = $('#inputIV').val();
    
        var valorNuevo = (parseFloat(valorActual) * parseFloat(factor_variable)).toFixed(2);
    
        $('#dvact'+i).val(valorNuevo);
    }
    $('#botonGuardarIndirectos').prop('disabled',false);
}


function setIF(){
    for(var i = 0; i < 12; i ++){
        var valorActual = $("#dfant"+i).text();
        var factor_fijo = $('#inputIF').val();
    
        var valorNuevo = (parseFloat(valorActual) * parseFloat(factor_fijo)).toFixed(2);
    
        $('#dfact'+i).val(valorNuevo);
    }
    $('#botonGuardarIndirectos').prop('disabled',false);
}


function guardarIndirectos(){
    var ano_actual = "" + moment().format("YYYY");
    
    var variables = ['',
        ano_actual,
        $('#dvact0').val(),$('#dvact1').val(),$('#dvact2').val(),
        $('#dvact3').val(),$('#dvact4').val(),$('#dvact5').val(),
        $('#dvact6').val(),$('#dvact7').val(),$('#dvact8').val(),
        $('#dvact9').val(),$('#dvact10').val(),$('#dvact11').val(),
        $('#inputIV').val(),'0'            
    ];
    
    var fijos = ['',
        ano_actual,
        $('#dfact0').val(),$('#dfact1').val(),$('#dfact2').val(),
        $('#dfact3').val(),$('#dfact4').val(),$('#dfact5').val(),
        $('#dfact6').val(),$('#dfact7').val(),$('#dfact8').val(),
        $('#dfact9').val(),$('#dfact10').val(),$('#dfact11').val(),
        $('#inputIF').val(),'1'           
    ];


    $.get("./cu/egresosProyectados_cu.php", {op:77,tabla:'indirectos_presupuestados',campo:'anio',valor:ano_actual}, function(respuesta){
        if(respuesta==1){
            $.get("./cu/egresosProyectados_cu.php", {op:78,tabla:'indirectos_presupuestados',sArray:variables}, function(respuesta2){
                if(respuesta2==1){
                    $.get("./cu/egresosProyectados_cu.php", {op:78,tabla:'indirectos_presupuestados',sArray:fijos}, function(respuesta3){
                        if(respuesta3==1){
                            alert("Registros guardados correctamente");    
                        }    
                    });    
                }
                
                                      
            });
        }
                  
    });

    
}
